API DocumentationManufacturer production step controller

Get batch balances by status IDs

GET
/api/manufacturer/v1/production-step/batch-balances/status-ids

Retrieves batch balances for the specified production status IDs

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Query Parameters

operationIds*array<>

Set of operation IDs to retrieve batch balances for

archived?boolean

Include archived requisitions

completedAfter?string

Only return balances completed at or after this instant (inclusive). ISO-8601 with offset, e.g. 2026-05-01T00:00:00Z. Omit to apply no lower bound.

Formatdate-time
completedBefore?string

Only return balances completed strictly before this instant (exclusive keyset cursor). ISO-8601 with offset, e.g. 2026-05-01T00:00:00Z. Omit to apply no upper bound.

Formatdate-time
completedBeforeId?string

Step ID of the oldest loaded balance, paired with completedBefore as the keyset tiebreaker so rows sharing the boundary completion instant are not skipped.

Formatuuid
completedBeforeRequisitionId?integer

Requisition ID of the oldest loaded balance, paired with completedBefore and completedBeforeId as the keyset tiebreaker so rows sharing both the boundary completion instant and step are not skipped. Requires completedBeforeId.

Formatint64
completedBeforeWorkOrderId?string

Work order ID of the oldest loaded balance, paired with completedBefore, completedBeforeId, and completedBeforeRequisitionId as the keyset tiebreaker so rows sharing the boundary completion instant, step, and requisition are not skipped. Requires completedBeforeRequisitionId.

Formatuuid
limit?integer

Maximum number of balances to return, newest completion first

Formatint32

Response Body

Batch balances retrieved successfully

application/json
  1. response
[index: integer]?
curl -X GET 'https://m-api.eu.phas.io/api/manufacturer/v1/production-step/batch-balances/status-ids?operationIds=497f6eca-6276-4993-bfeb-53cbbbba6f08&archived=false&limit=100'
[  {    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "operationName": "string",    "sequence": 0,    "requisitionId": 0,    "workOrderId": "50150040-5a5c-4c26-9d75-30728d69a42e",    "processPricesId": "efb221a2-6f82-4cf4-8be0-20aae2aa874c",    "materialId": 0,    "colorId": 0,    "dispatchDate": "2019-08-24",    "workOrderStartDate": "2019-08-24T14:15:22Z",    "workOrderDueDate": "2019-08-24T14:15:22Z",    "requisitionDuration": 0,    "quantity": 0,    "stepId": "50e29fb7-490e-4a88-b2f4-2fde4d70423d",    "groupId": "string",    "prefix": "string",    "stepType": "string",    "orderId": 0,    "orderNumber": 0,    "threadId": 0,    "purchaseOrderNumber": "string",    "commentCount": 0,    "closedAt": "2019-08-24T14:15:22Z",    "outstandingAt": "2019-08-24T14:15:22Z",    "batchStatusName": "string",    "batchStatusId": "3b88a7ad-cddf-4275-929b-806ea4f39582"  }]